Iniciar enrolamiento obligatorio de passkey
curl --request POST \
--url https://api.qbank.cl/platform/v1/auth/register/2fa/passkey/begin \
--header 'Content-Type: application/json' \
--data '
{
"pending_token": "eyJ..."
}
'import requests
url = "https://api.qbank.cl/platform/v1/auth/register/2fa/passkey/begin"
payload = { "pending_token": "eyJ..." }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({pending_token: 'eyJ...'})
};
fetch('https://api.qbank.cl/platform/v1/auth/register/2fa/passkey/begin', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.qbank.cl/platform/v1/auth/register/2fa/passkey/begin",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'pending_token' => 'eyJ...'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.qbank.cl/platform/v1/auth/register/2fa/passkey/begin"
payload := strings.NewReader("{\n \"pending_token\": \"eyJ...\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.qbank.cl/platform/v1/auth/register/2fa/passkey/begin")
.header("Content-Type", "application/json")
.body("{\n \"pending_token\": \"eyJ...\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.qbank.cl/platform/v1/auth/register/2fa/passkey/begin")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"pending_token\": \"eyJ...\"\n}"
response = http.request(request)
puts response.read_body{
"challenge_id": "6f1c02aa-93a1-4f0e-a7d1-1f2e3c4b5a69",
"options": {
"publicKey": {
"challenge": "Y2hhbG...",
"rp": {
"name": "CBPay",
"id": "cbpayapp.com"
},
"user": {
"name": "ana@example.com"
}
}
},
"expires_at": "2026-10-22T19:02:00Z",
"steps": [
"1. Aprueba el diálogo del sistema en este dispositivo",
"2. Nombra este dispositivo en la siguiente pantalla"
],
"note": "pasa options.publicKey a navigator.credentials.create() y envía el resultado a POST /v1/auth/register/2fa/passkey/finish"
}{
"access_token": "eyJ...",
"expires_at": "2026-10-22T19:00:00Z",
"refresh_token": "rt_...",
"refresh_expires_at": "2026-11-20T19:00:00Z",
"account": {
"id": "9b1deb4d-3b7d-4bad-9bdd-2b0d7b3dcb6d"
}
}Iniciar enrolamiento obligatorio de passkey
Inicia un registro WebAuthn usando el token pendiente de registro.
POST
/
v1
/
auth
/
register
/
2fa
/
passkey
/
begin
Iniciar enrolamiento obligatorio de passkey
curl --request POST \
--url https://api.qbank.cl/platform/v1/auth/register/2fa/passkey/begin \
--header 'Content-Type: application/json' \
--data '
{
"pending_token": "eyJ..."
}
'import requests
url = "https://api.qbank.cl/platform/v1/auth/register/2fa/passkey/begin"
payload = { "pending_token": "eyJ..." }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({pending_token: 'eyJ...'})
};
fetch('https://api.qbank.cl/platform/v1/auth/register/2fa/passkey/begin', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.qbank.cl/platform/v1/auth/register/2fa/passkey/begin",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'pending_token' => 'eyJ...'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.qbank.cl/platform/v1/auth/register/2fa/passkey/begin"
payload := strings.NewReader("{\n \"pending_token\": \"eyJ...\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.qbank.cl/platform/v1/auth/register/2fa/passkey/begin")
.header("Content-Type", "application/json")
.body("{\n \"pending_token\": \"eyJ...\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.qbank.cl/platform/v1/auth/register/2fa/passkey/begin")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"pending_token\": \"eyJ...\"\n}"
response = http.request(request)
puts response.read_body{
"challenge_id": "6f1c02aa-93a1-4f0e-a7d1-1f2e3c4b5a69",
"options": {
"publicKey": {
"challenge": "Y2hhbG...",
"rp": {
"name": "CBPay",
"id": "cbpayapp.com"
},
"user": {
"name": "ana@example.com"
}
}
},
"expires_at": "2026-10-22T19:02:00Z",
"steps": [
"1. Aprueba el diálogo del sistema en este dispositivo",
"2. Nombra este dispositivo en la siguiente pantalla"
],
"note": "pasa options.publicKey a navigator.credentials.create() y envía el resultado a POST /v1/auth/register/2fa/passkey/finish"
}{
"access_token": "eyJ...",
"expires_at": "2026-10-22T19:00:00Z",
"refresh_token": "rt_...",
"refresh_expires_at": "2026-11-20T19:00:00Z",
"account": {
"id": "9b1deb4d-3b7d-4bad-9bdd-2b0d7b3dcb6d"
}
}Cuerpo
application/json
Respuesta
Opciones para crear WebAuthn.